Solution: Soduto and KDE Connect

*Media transfer on Linux *is a mess after switching to MPT. AirDroid is one solution which I used (as recommended by pocketables author Fitzcarraldo at [http://www.pocketables.com/2013/08/kde-connect-blends-your-android-phone-with-the-kde-desktop.html](http://www.pocketables.com/2013/08/kde-connect-blends-your-android-phone-with-the-kde-desktop.html)). KDE Connect by Albert Vaka is a potential future fix 

**Drivers and media transfer**
[How to Change Default Apps in Android](http://blog.laptopmag.com/how-to-change-default-apps-in-android) - Default App Manager fills in the Android gap
